import { ApplicationInstance } from 'sketch-loop';
export { Application } from 'sketch-loop';
import { TickHandler, ResizeHandler, InteractionEvent, InteractionHandler } from 'sketch-application';

declare type TickAction = TickHandler<ApplicationInstance>;
declare type ResizeAction = ResizeHandler<ApplicationInstance>;
declare type InteractionActionParams = Parameters<InteractionHandler<ApplicationInstance>>[0];
interface InteractionParams extends InteractionActionParams {
    type: InteractionEvent<ApplicationInstance>['type'];
}
declare type InteractionAction = (arg: InteractionParams) => void;
declare type Props = {
    onTick: TickAction;
    onResize?: ResizeAction;
    onInteraction?: InteractionAction;
};
declare function SketchLoop({ onTick, onResize, onInteraction }: Props): JSX.Element;

export { InteractionAction, Props, ResizeAction, SketchLoop, TickAction };
